Last modified: 2013-01-24 18:06:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34866 - Change wgLanguageCode of several wikis to be renamed
Change wgLanguageCode of several wikis to be renamed
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: wikis-to-rename
  Show dependency treegraph
 
Reported: 2012-03-01 19:05 UTC by Robin Pepermans (SPQRobin)
Modified: 2013-01-24 18:06 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Robin Pepermans (SPQRobin) 2012-03-01 19:05:45 UTC
I propose, as a small step towards bug 19986, to change the wgLanguageCode of wikis in the following languages:
bat-smg -> sgs (wikipedia)
fiu-vro -> vro (wikipedia)
zh-classical -> lzh (wikipedia)
zh-min-nan -> nan (wikipedia, wiktionary, wikibooks, wikiquote, wikisource)
zh-yue -> yue (wikipedia)

This is already done at this moment:
be-x-old -> be-tarask (wikipedia)
als -> gsw (wikipedia, wiktionary, wikibooks, wikiquote)
roa-rup -> rup (wikipedia, wiktionary)
Comment 1 Robin Pepermans (SPQRobin) 2012-06-08 18:06:24 UTC
Submitted in https://gerrit.wikimedia.org/r/#/c/10707/ - needs merging
Comment 2 Robin Pepermans (SPQRobin) 2012-06-15 14:50:24 UTC
Merged and deployed by Hashar; marking FIXED.
Comment 3 Philippe Verdy 2013-01-24 05:28:21 UTC
There's still a problem with nrm (Norman).
The language code nrm is for another unrelated language.
Norman itself has no specific code, except as a private extension of French (such as "fr-x-normal"), even if Norman has itself 2 standardized variants in Jersey and Guernesey, where these variants have official status, but these standardized variants (which also have their reference dictionnary) still don't have their ISO 639-3 code : if they get one, there will remain the case of the Norman language as spoken by a regional minority language in Normandy in France, on the continent or in bordering French islands (in those islands, there's no sign that Norman is still actively spoken, Norman remains only in rural areas of Normandy).

So we are waiting for ISO 639-3 codes for:
- Jersiais
- Guernésiais
- Jériais
- Continental Norman

or a ISO 639-3 code to group them in a macrolanguage just called "Norman", which would be the best code for use on Wikipedia.

The use of "nrm" in Wikipedia is still a bug and it should not exist at all. Even if we don't have a stable code for it, we should have better used a private extension code like "x-nrm", or a private use language code like "qno" (in ISO 639-2).
Comment 4 Philippe Verdy 2013-01-24 05:31:56 UTC
Note also that there's the case of the Old Norman language (the same that was spoken by invaders of England) when it was a single language (and when French still did not exist as a language, there was just several languages in France, one of which was spoken in Île-de-France and is now named "Old French", and it was at that time not even spoken in Paris but more to the South around Orléans). The Kingdom of France expanded later in the Middle Age to include Paris and make it its capital.

Old Norman should also have its own ISO 639-3 code (not part of the modern macrolanguage described above).
Comment 5 Andre Klapper 2013-01-24 11:15:19 UTC
Philippe: Please file a new report about this so it receives attention. This report has been closed for seven months. Thanks.
Comment 6 Philippe Verdy 2013-01-24 11:18:33 UTC
Visibly it was not closed several months ago because I received TODAY (by email) a notification about a change in this bug.
Comment 7 Alex Monk 2013-01-24 18:06:43 UTC
(In reply to comment #6)
> Visibly it was not closed several months ago because I received TODAY (by
> email) a notification about a change in this bug.

According to the bug history<https://bugzilla.wikimedia.org/show_activity.cgi?id=34866>, it happened 2012-06-15 15:50:24 BST.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links